devel.admin_settings:
  path: '/admin/config/development/devel'
  defaults:
    _form: '\Drupal\devel\Form\SettingsForm'
    _title: 'Devel settings'
  requirements:
    _permission: 'administer site configuration'

devel.reinstall:
  path: '/devel/reinstall'
  defaults:
    _form: '\Drupal\devel\Form\DevelReinstall'
    _title: 'Reinstall modules'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'administer site configuration'

devel.menu_rebuild:
  path: '/devel/menu/reset'
  defaults:
    _form: '\Drupal\devel\Form\DevelRebuildMenus'
    _title: 'Rebuild menus'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'administer site configuration'

devel.configs_list:
  path: '/devel/config/{filter}'
  options:
    _admin_route: TRUE
  defaults:
    _form: '\Drupal\devel\Form\ConfigsList'
    _title: 'Config editor'
    filter: ''
  requirements:
    _permission: 'administer site configuration'

devel.config_edit:
  path: '/devel/config/edit/{config_name}'
  defaults:
    _form: '\Drupal\devel\Form\ConfigEditor'
    _title: 'Edit configuration object: !config_name'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'administer site configuration'

devel.state_system_page:
  path: '/devel/state'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::stateSystemPage'
    _title: 'State editor'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'

devel.system_state_edit:
  path: '/devel/state/edit/{state_name}'
  defaults:
    _form: '\Drupal\devel\Form\SystemStateEdit'
    _title: 'Edit state variable: @state_name'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'administer site configuration'

devel.menu_item:
  path: '/devel/menu/item'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::menuItem'
    _title: 'Menu item'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'

devel.theme_registry:
  path: '/devel/theme/registry'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::themeRegistry'
    _title: 'Theme registry'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'

devel.entity_info_page:
  path: '/devel/entity/info'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::entityInfoPage'
    _title: 'Entity info'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'

devel.field_info_page:
  path: '/devel/field/info'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::fieldInfoPage'
    _title: 'Field info'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'

devel.execute_php:
  path: '/devel/php'
  defaults:
    _form: '\Drupal\devel\Form\ExecutePHP'
    _title: 'Execute PHP code'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'execute php code'

devel.session:
  path: '/devel/session'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::session'
    _title: 'Session viewer'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'

devel.switch:
  path: '/devel/switch/{name}'
  defaults:
    _controller: '\Drupal\devel\Controller\SwitchUserController::switchUser'
    _title: 'Switch user'
    name: ''
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'switch users'
    _csrf_token: 'TRUE'

devel.elements_page:
  path: '/devel/elements'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::elementsPage'
    _title: 'Element Info'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'

devel.cache_clear:
  path: '/devel/cache/clear'
  defaults:
    _controller: '\Drupal\devel\Controller\DevelController::cacheClear'
    _title: 'Clear cache'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'access devel information'
    _csrf_token: 'TRUE'

devel.run_cron:
  path: '/devel/run-cron'
  defaults:
    _controller: '\Drupal\system\CronController::runManually'
    _title: 'Run cron'
  options:
    _admin_route: TRUE
  requirements:
    _permission: 'administer site configuration'
    _csrf_token: 'TRUE'
